AutoCAD Inventor :: Trigger Place Component Triad For Any Occurrence
Oct 21, 2013
I love the new triad function when placing a new part in Inventor 2014: I am now searching to trigger the same function for a part that already has been placed.
Something like:
1) select component
2) press a button (triggers the macro I now want to write)
3) the triad pops up.
I searched true the Inventor Help & what's new in the API. But didn't find any reference to that command. So I am afraid that it is not yet in the API. Could I maybe emulate it by replacing a component with itself using the place component command + emulating a mouseclick at the same origin as the original piece?
So a piece of code like:
1) get filelocation of selected part
2) get the origin point (x,y,z) of the part
3) get the translation between the origin of the assembly and the part
4) delete the selected part
5) place the part using the place component command (so the triad has been triggered)
6) fill in the filelocation, origin & translation
7) give control back to the user so he can move the part using the triad.
View 3 Replies
ADVERTISEMENT
Jul 25, 2012
II need a way to tell if a component occurence is a virtual component.
I'm using a For Each loop to cycle through all of the components in an assembly, and if the component is itself an assembly to set the LOD to "Custom". I'm using the definition document descriptor object for this. It all woks fine until the loop comes across a virtual component which doesn't have a definition document, so I need a way to check if the component is virtual and needs to be skipped.Here's the
Option ExplicitImports Inventor.LevelOfDetailEnumSub MainiLogicVb.UpdateWhenDone = TrueDim doc As AssemblyDocumentDim oLOD As LevelOfDetailRepresentationDim oAsmCompDef As ComponentDefinitionDim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesdoc = ThisDoc.DocumentIf.
[code]....
View 2 Replies
View Related
Feb 22, 2013
is there a way to Replace the "bolt" Component Occurrence with api?
View 2 Replies
View Related
Sep 28, 2012
I have a simple code below trying to iterate through all the assembly component and copy the iProperties > Occurrece Name (i.e. "Part1:1") and paste it to iProperties > Project tab > Part Number field for each individual part in assembly.
' set a reference to the assembly component definintion.
' This assumes an assembly document is open.
Dim oAsmCompDef As AssemblyComponentDefinition
oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition
'Iterate through all of the occurrences
Dim oOccurrence As ComponentOccurrence
For Each oOccurrence In oAsmCompDef.Occurrences
Dim oName As String
oName = oOccurrence.Name
iProperties.Value(oOccurrence.Name, "Project", "Part Number") = oName
MessageBox.Show(oOccurrence.Name, "iLogic")
Next
The Debug message shows the correct output for every iteration, but when I check each part's properties they all have the Occurrence Name of the last part in the aseembly.
View 4 Replies
View Related
Jan 5, 2010
Can this be done? I want to go through the DrawingView Object to get at a subcomponent of an assembly and either set that component to have hidden lines (where needed) or no hidden lines.
View 8 Replies
View Related
Nov 20, 2013
I'm trying to create a rule in ilogic that would search through all child components (looking for both .ipt and .iam file types) looking for an ilogic rule within each child component with a particular name, and running that rule if it is found.
View 1 Replies
View Related
Aug 9, 2012
Basically I want to place parts and have them automatically connect to each other based on pre-existing UCSs on the assemblies. I have a 'ucs_in' and a 'ucs_out' on each assembly. I want the inserted component to perform a transformation to make the new occurrence's ucs_in to "mate" to the previous occurrences ucs_out. By mate I mean their center points are at the same location and all axes are pointing in the same direction. I have included screenshots to show what I'm working with and what I am trying to accomplish. I have also attached the project files.
Below is my attempt at the code to do this. My experience with transformations is limited so I may be way off from where I need to be.
Sub UcsMate() Dim doc As AssemblyDocument Set doc = ThisApplication.ActiveDocument 'assuming both occurrences are already in the assembly and both have 2 UCS, "ucs_in" and "ucs_out" Dim occ1 As ComponentOccurrence Dim
[Code]....
View 3 Replies
View Related
Dec 28, 2012
Is it possible to skip the small preview window and the parameters display when i place an iLogic component white the command Place iLogic Component.
View 1 Replies
View Related
Mar 18, 2003
I have created a standard part that has imates and all features are adaptive. When I create an assembly and then try to place the component I would like for the part to come in adaptive automatically.
For example I have a nightstand I am modeling. The top and endpanels are in the assembly constrained to each other. I have a standard top back rail that is set up in a library and is used in all cases. The rail width and thickness is always the same but the length is different. I have two imates set up on the rail so when it is brought in, it will snap into place with one end of the rail mated to one endpanel and the other end mated to the opposite endpanel. But since the part is not adaptive on input it dosen't work right. One mate works fine but the other doesn't snap into place. Once I make the rail adaptive then it works fine but I have to insert it into the drawing first then make it adaptive then move the imates into place. Is there a way to make it adaptive automatically when it is initially placed in the assembly.
View 1 Replies
View Related
May 24, 2013
Is there a way that will allow me to place a component into an assembly where it automatically creates a constrain between the components xz plane and the assembly xz plane? I tried the Ground and root component, but it does too much, I will need to constrain the component differently on the other component planes.
View 6 Replies
View Related
Dec 21, 2011
Create code that will allow me to place a part in an assembly at all matching iMate locations. I would also like to call this function from iLogic using RunMacro if possible.
View 1 Replies
View Related
Aug 22, 2013
From a main assembly I am trying to change the visibility of occurence that are in a sub assembly. But everytime I change the visibility using the designviewrepresentation.setvisibilityofoccurrences(), that change the visibility of those occurrences in the other sub-assembly. Of course, if I do it thought the interface that works great. Anyone did something with changing visibility of sub component.
View 1 Replies
View Related
Dec 2, 2013
I created a simple Part with some parameters to drive dimensions. Saved the part. I created an Assembly. Saved the assembly. Clicked Place iLogic Component. The Place iLogic Component window appeared Selected the Part. I can see the preview window (Part-01) & the parameter window... Used default values. Hit OK NO PART INSERTED! Using Inventor Pro 2014 64-BitLudesroc
View 1 Replies
View Related
Feb 22, 2012
Show on Place Component
If I set this to true, then when I "place iLogic component", I don't get the form displayed or the parameter table or the model preview.
If set True, displays the form when placing this model as a component in an assembly. This setting affects Place Component and Place iLogic Component. If the template file has a form, this setting also affects Create In-Place Component.
View 1 Replies
View Related
Jan 22, 2013
I wish to create a form that with multiple buttons. Each button will place another component (platform, stairs, ladder, railing).
I wish to place them using 'Place iLogic Component"
I know you can call this command by:
ThisApplication.CommandManager.ControlDefinitions.Item("iLogic.PlaceComponent").Execute
But is it possible to automatically browse to and open a file this way using a path "C:CPSVaultPlatformComponentsStairs.iam" within this command?
View 6 Replies
View Related
Jan 19, 2012
I am using Windows 7 64bit and Inventor 2012 SP1 (Build 190). When placing a new content center item an error message of "Unable to place component" is reported. Content center was working previously.
I determined the problem resulted in using a custom Date format in the Windows Region and Language setting. To duplicate go to Control Panel -> Region and Language ->Formats Tab -> Additional settings button -> Date tab and change the Short date format to a custom format (I was using ddd M/dd).
To fix simply reset to a standard date format.
Note that this can be done whilst Inventor is running and I have have submitted a bug report. None of the standard date formats resulted in errors. I have tested "ddd-dd/M", "ddd/MMM/yyyy", "yyyy/MM/dddd", and "yyyy-MM-ddd" and all resulted in an error. "yyyy-MM-dd" did not result in any error.
View 1 Replies
View Related
Mar 6, 2012
how to change Default template when using "Demote" in an assembly? Discovered that it was set to use harness.iam as default, want to have standard.
View 1 Replies
View Related
Oct 26, 2011
I'd like to be able to vastly increase the size of the triad in the 3D Sketch environment - when sketching the triad is tiny and does not increase in size when zooming, this makes snapping to its planes extremely difficult.
Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)
View 4 Replies
View Related
Jan 26, 2012
We are having an issue when we replace a component in Inventor Pro 2012. When we replace a component, the name in the browser does not update to the new component. We've even tried to close and re-open the Inventor assembly and that does not work. We end up manual double clicking the name in the browser and type in the new component name.
Inventor Product Design Suite Ultimate 2012
Dell Precision T7500 Workstation
Xeon Processor
16 GB of RAM
Nvidia Quadro FX 5800
Windows 7 x64
View 4 Replies
View Related
Aug 2, 2013
When I reposition structure labels (in their 'dragged state'), the component <[Structure Offset Side(CU)]> does not show up while in drag mode. Sort of makes it hard to see the limits of the label if you are trying to place it in a congested area. Watch the "LT" part of the label in the GIF below.
No, it's not that big of a deal, but alignment labels with the same component do not behave this way, so I have to wonder why the structure labels do.....
View 4 Replies
View Related
Jan 11, 2013
I am trying to make port rims for pipes that can be swapped in and out of an assembly. However, the ports will all be different sizes and located differently so I need the cut to be part of the port rim component, but affect the entire assembly it is part of. I've been trying to get this to work for the better part of a day now,Here's a picture of what im talking about. I'm running Inventor 2008 by the way.
View 2 Replies
View Related
Sep 27, 2011
Can a Model in place component be replaced with say a wall? If i have n extruded form can it be replaced with a family?
what's the best way to add material to a model in place component?
View 3 Replies
View Related
May 23, 2013
While making an In-Place Component, Revit fades everything else and makes it hard to see anything except for what you are working on. Is there a way to change this so that everything else isn't as faded.
View 2 Replies
View Related
Nov 6, 2012
how to get the orientation angle of an occurrence using VBA?
View 2 Replies
View Related
May 21, 2013
I would like to export the Current Offset from Parent Assembly Origin values (X Offset, Y Offset, Z Offset, X Angle, Y Angle, Z Angle) for each part in an Assembly. These values are found in each component's iProperties under the Occurrence tab.
View 9 Replies
View Related
Feb 12, 2013
I try to retrieve the values of an occurrence in an assembly document, same as when I click on 'Change size' (see the attachment).
I Know how to get key values (from list) from content center family member (Getting data from content center) but for the expression values (from user entries), I found nothing.
View 1 Replies
View Related
Aug 21, 2013
I am working on some codes that let me make some change on visibility of occurrence. So I am I main assembly, and 3 occurrences of the same sub-assembly. The sub assembly was saved on a design view named hole that is hiding some occurrences.
if I work with one of those sub assembly (checkOcc as component occurrence)and then I try this:
Debug.Print("Occurence name: " + CheckOcc.Name)
Debug.Print("Is DRV associative: " + CheckOcc.IsAssociativeToDesignViewRepresentation.ToString)
Debug.Print("The Active DRV is: " + CheckOcc.ActiveDesignViewRepresentation.ToString)
CheckOcc.SetDesignViewRepresentation("Default")
Debug.Print("Is DRV associative: " + CheckOcc.IsAssociativeToDesignViewRepresentation.ToString)
Debug.Print("The Active DRV is: " + CheckOcc.ActiveDesignViewRepresentation.ToString)
The first time I check for the name, the result is empty, but is should hole as it's what I can see in the browser. then I change it to default.The result of that, the representation views disappear from the browser for that occurrence and still, the name is return as empty...then I carry on with turning on the hidden occurrences.
objCol.Add(checkocc)
dv.SetVisibilityOfOccurrences(objCol, visibility)
The result, all the hidden occurrence appear ALSO on the other subassemblies... It look that it's affecting all the Designview of all occurrence of that name...then, if I try the reverse, by turning it off... the switch off on the other occurrences but not the one that is checkoff!!
View 1 Replies
View Related
Dec 26, 2012
In a drawing I'm looking for components that have a certain iProperty. If they have the iProperty, I want to turn every occurrence of that item red.
I can get the occurrences fine, but I'm unable to properly get the drawing curves so I can turn them red. I'm using code from this post on ModTheMachine: [URL]........
Here's my
private static void ProcessAssemblyColor(DrawingDocument aDoc, ComponentOccurrences occurrences){ foreach (ComponentOccurrence occ in occurrences) { if (occ.DefinitionDocumentType == DocumentTypeEnum.kPartDocumentObject) { TransientObjects transObjects = StandardAddInServer._mInventorApplication.TransientObjects; LayersEnumerator layers = aDoc.StylesManager.Layers; Layer colorLayer = layers[1]; colorLayer.Color = transObjects.CreateColor(255, 0, 0); //red [code]........
I've seen some things say I need to use an out object to use DrawingCurves. If that's true, I'm not sure what to put for the first variable.
object outObject;DrawingCurvesEnumerator drawingCurves = drawView.DrawingCurves[occ.CreateGeometryProxy(whatgoeshere?, out outObject)];
View 1 Replies
View Related
Apr 30, 2013
Is it possible to set BOM properties for a specific occurrence of a component, rather than have universal properties for every occurrence of that component in every assembly?
Two instances come to mind:
1. I have two identical occurrences of a part in an assembly. One is already existing at the site, the other we are providing. I want one to show up in the BOM, and not the other. I don't want to have multiple part files to keep up with, as they are identical.
2. Similarly, I have a part that shows up in two assemblies; in one assembly it is existing, in the other it is new. I want it to show up in the BOM for the second assembly, but in the first I want it to be "phantom" or "reference".
View 8 Replies
View Related
Aug 30, 2012
I have an assembly which has a few components suppressed.
My end results is another copy of the assembly (with copies of the all the parts) in another directory
Now i am able to create copies of un-suppressed parts using; (this allows me to SaveAs assembly components which are not suppressed)
DocumentsEnumerator = ThisDoc.Document.AllReferencedDocuments
And save a copy of the assembly using
ThisDoc.Document.SaveAs
I also added the fllowing snippet (which I am not sure what is does), but it does not work for me
Component.SkipDocumentSave = true
When I open the newly created assembly, I still see the suppressed components in the model browser
I want to either;
Skip saving the of the components in the model browser (i.e. the Assembly)
OR
Delete the suppressed parts in the Assembly, so that they do not save altogether
View 3 Replies
View Related
Feb 22, 2013
How do you suppress a certain pattern occurence in Ilogic?
View 6 Replies
View Related